commit:     14007fd01aae28b682a6e1ec83b921fb10746167
Author:     Nicola Smaniotto <smaniotto.nicola <AT> gmail <DOT> com>
AuthorDate: Mon Feb  7 09:48:06 2022 +0000
Commit:     Nicola Smaniotto <smaniotto.nicola <AT> gmail <DOT> com>
CommitDate: Mon Feb  7 09:51:59 2022 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=14007fd0

dev-python/spotipy: bump to 2.19.0

I'm bumping this as a dependency for spotify_dl, if no one whishes to
maintain it I may consider it in the future.

Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Nicola Smaniotto <smaniotto.nicola <AT> gmail.com>

 dev-python/spotipy/Manifest              |  1 +
 dev-python/spotipy/spotipy-2.19.0.ebuild | 50 ++++++++++++++++++++++++++++++++
 2 files changed, 51 insertions(+)

diff --git a/dev-python/spotipy/Manifest b/dev-python/spotipy/Manifest
index e45578759..67f3e6da3 100644
--- a/dev-python/spotipy/Manifest
+++ b/dev-python/spotipy/Manifest
@@ -1 +1,2 @@
 DIST spotipy-2.17.1.tar.gz 100524 BLAKE2B 
3c020276f245b03a5a2052b49e353ead6aca69c510ddaeef732aa0ecd835abccf49fde58ac26bd5c64f9ea7afa9b6772a36abbc3d48a076559c6fb96e465ce7d
 SHA512 
39dbd089fe98896387f805e6cb487c38543c0777aaf73cacc805d5f6f074c07ee5a5dd7adfe7925cdc717e46b5fee0e9151265fd4f792b901040e107cb8c515c
+DIST spotipy-2.19.0.tar.gz 102703 BLAKE2B 
bc132edb972236b43097c0bbc9d86932a3305d8bd3807e44e20767b123455950b8e01060efd83c87b3a162e329f5c48614205f131686af7f9312a44894a7f1e7
 SHA512 
fbaecd1a2cab3ef458d30de46cb89462021dfc3cfc85516d8bfe509af016a0b19af2f8de4f5cae36188b1ce1f5718c75edff0e71af2a87f4d720ee99d4541a6a

diff --git a/dev-python/spotipy/spotipy-2.19.0.ebuild 
b/dev-python/spotipy/spotipy-2.19.0.ebuild
new file mode 100644
index 000000000..a941f3883
--- /dev/null
+++ b/dev-python/spotipy/spotipy-2.19.0.ebuild
@@ -0,0 +1,50 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit distutils-r1
+
+DESCRIPTION="A light weight Python library for the Spotify Web API"
+HOMEPAGE="https://spotipy.readthedocs.io
+       https://github.com/plamere/spotipy";
+SRC_URI="https://github.com/plamere/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+IUSE="examples"
+
+LICENSE="MIT"
+KEYWORDS="~amd64"
+SLOT="0"
+
+RDEPEND="
+       dev-python/requests[${PYTHON_USEDEP}]
+       dev-python/six[${PYTHON_USEDEP}]
+       dev-python/urllib3[${PYTHON_USEDEP}]
+"
+
+BDEPEND="test? ( dev-python/mock[${PYTHON_USEDEP}] )"
+
+distutils_enable_sphinx docs
+distutils_enable_tests pytest
+
+python_prepare_all() {
+       # this test requires user credentials
+       rm tests/integration/test_user_endpoints.py || die
+
+       # this test requires a spotify client ID
+       rm tests/integration/test_non_user_endpoints.py || die
+
+       # need internet access
+       sed -i -e 's:test_spotify_client_credentials_get_access_token:_&:' \
+               tests/unit/test_oauth.py || die
+
+       distutils-r1_python_prepare_all
+}
+
+python_install_all() {
+       use examples && dodoc -r examples
+
+       distutils-r1_python_install_all
+}

Reply via email to